ViennaCL - The Vienna Computing Library: viennacl::linalg::bicgstab_tag Class Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::linalg::bicgstab_tag Class Reference

A tag for the stabilized Bi-conjugate gradient solver. Used for supplying solver parameters and for dispatching the solve() function. More...

`#include <bicgstab.hpp>`

## Public Member Functions
| bicgstab_tag (double tol=1e-8, vcl_size_t max_iters=400, vcl_size_t max_iters_before_restart=200)
| The constructor. More...
double | tolerance () const
| Returns the relative tolerance. More...
double | abs_tolerance () const
| Returns the absolute tolerance. More...
void | abs_tolerance (double new_tol)
| Sets the absolute tolerance. More...
vcl_size_t | max_iterations () const
| Returns the maximum number of iterations. More...
vcl_size_t | max_iterations_before_restart () const
| Returns the maximum number of iterations before a restart. More...
vcl_size_t | iters () const
| Return the number of solver iterations: More...
void | iters (vcl_size_t i) const
double | error () const
| Returns the estimated relative error at the end of the solver run. More...
void | error (double e) const
| Sets the estimated relative error at the end of the solver run. More...

## Detailed Description

A tag for the stabilized Bi-conjugate gradient solver. Used for supplying solver parameters and for dispatching the solve() function.

Examples:
  iterative-armadillo.cpp, iterative-custom.cpp, iterative-eigen.cpp, iterative-mtl4.cpp, iterative-ublas.cpp, iterative.cpp, and spai.cpp.

Definition at line 47 of file bicgstab.hpp.

## Constructor & Destructor Documentation

viennacl::linalg::bicgstab_tag::bicgstab_tag | ( | double | tol = `1e-8`,
|  | vcl_size_t | max_iters = `400`,
|  | vcl_size_t | max_iters_before_restart = `200`
| ) |  |
| inline

The constructor.

Parameters

  tol | Relative tolerance for the residual (solver quits if ||r|| < tol * ||r_initial||)
  max_iters | The maximum number of iterations
  max_iters_before_restart | The maximum number of iterations before BiCGStab is reinitialized (to avoid accumulation of round-off errors)

Definition at line 56 of file bicgstab.hpp.

## Member Function Documentation

double viennacl::linalg::bicgstab_tag::abs_tolerance | ( |  | ) | const
| inline

Returns the absolute tolerance.

Definition at line 63 of file bicgstab.hpp.

void viennacl::linalg::bicgstab_tag::abs_tolerance | ( | double | new_tol | ) |
| inline

Sets the absolute tolerance.

Definition at line 65 of file bicgstab.hpp.

double viennacl::linalg::bicgstab_tag::error | ( |  | ) | const
| inline

Returns the estimated relative error at the end of the solver run.

Definition at line 77 of file bicgstab.hpp.

void viennacl::linalg::bicgstab_tag::error | ( | double | e | ) | const
| inline

Sets the estimated relative error at the end of the solver run.

Definition at line 79 of file bicgstab.hpp.

vcl_size_t viennacl::linalg::bicgstab_tag::iters | ( |  | ) | const
| inline

Return the number of solver iterations:

Definition at line 73 of file bicgstab.hpp.

void viennacl::linalg::bicgstab_tag::iters | ( | vcl_size_t | i | ) | const
| inline

Definition at line 74 of file bicgstab.hpp.

vcl_size_t viennacl::linalg::bicgstab_tag::max_iterations | ( |  | ) | const
| inline

Returns the maximum number of iterations.

Definition at line 68 of file bicgstab.hpp.

vcl_size_t viennacl::linalg::bicgstab_tag::max_iterations_before_restart | ( |  | ) | const
| inline

Returns the maximum number of iterations before a restart.

Definition at line 70 of file bicgstab.hpp.

double viennacl::linalg::bicgstab_tag::tolerance | ( |  | ) | const
| inline

Returns the relative tolerance.

Definition at line 60 of file bicgstab.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/bicgstab.hpp